Package tigase.monitor

## Class TasksScriptRegistrar

- java.lang.Object
- - tigase.monitor.TasksScriptRegistrar

-     @Bean(name="TasksScriptRegistrar",
            active=true)
      public class TasksScriptRegistrar
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ID` |
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TasksScriptRegistrar()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​(java.lang.String taskName)` |
    `Kernel` | `getKernel()` |
    `ComponentRepository<TaskConfigItem>` | `getRepo()` |
    `void` | `load()` |
    `void` | `registerScript​(java.lang.String scriptName, java.lang.String scriptExtension, java.lang.String scriptContent)` |
    `void` | `registerTimerScript​(java.lang.String scriptName, java.lang.String scriptExtension, java.lang.String scriptContent, java.lang.Long delay)` |
    `void` | `setKernel​(Kernel kernel)` |
    `void` | `setRepo​(ComponentRepository<TaskConfigItem> repo)` |
    `void` | `updateConfig​(java.lang.String taskName, Form form)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### log

          protected final java.util.logging.Logger log

  - ### Constructor Detail

    - #### TasksScriptRegistrar

          public TasksScriptRegistrar()

  - ### Method Detail

    - #### delete

          public void delete​(java.lang.String taskName)

    - #### getKernel

          public Kernel getKernel()

    - #### setKernel

          public void setKernel​(Kernel kernel)

    - #### getRepo

          public ComponentRepository<TaskConfigItem> getRepo()

    - #### setRepo

          public void setRepo​(ComponentRepository<TaskConfigItem> repo)

    - #### load

          public void load()

    - #### registerScript

          public void registerScript​(java.lang.String scriptName,
                                     java.lang.String scriptExtension,
                                     java.lang.String scriptContent)
                              throws javax.script.ScriptException

      Throws:
        `javax.script.ScriptException`

    - #### registerTimerScript

          public void registerTimerScript​(java.lang.String scriptName,
                                          java.lang.String scriptExtension,
                                          java.lang.String scriptContent,
                                          java.lang.Long delay)
                                   throws javax.script.ScriptException

      Throws:
        `javax.script.ScriptException`

    - #### updateConfig

          public void updateConfig​(java.lang.String taskName,
                                   Form form)